Update of /cvsroot/fink/experimental/babayoshihiko/finkinfo
In directory sfp-cvsdas-3.v30.ch3.sourceforge.com:/tmp/cvs-serv18331

Modified Files:
        gdal.info gdal.patch 
Log Message:
hdf removed

Index: gdal.patch
===================================================================
RCS file: /cvsroot/fink/experimental/babayoshihiko/finkinfo/gdal.patch,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -d -r1.3 -r1.4
--- gdal.patch  2 Nov 2005 22:44:39 -0000       1.3
+++ gdal.patch  27 Sep 2010 10:35:19 -0000      1.4
@@ -1,6 +1,6 @@
-diff -ruN gdal-1.3.1/LICENSE gdal-1.3.1-new/LICENSE
---- gdal-1.3.1/LICENSE 1970-01-01 09:00:00.000000000 +0900
-+++ gdal-1.3.1-new/LICENSE     2005-10-10 14:05:13.000000000 +0900
+diff --new-file -u -r gdal-1.4.0.orig/LICENSE gdal-1.4.0/LICENSE
+--- gdal-1.4.0.orig/LICENSE    1969-12-31 19:00:00.000000000 -0500
++++ gdal-1.4.0/LICENSE 2007-01-12 10:55:42.000000000 -0500
 @@ -0,0 +1,19 @@
 +Copyright (c) 2000, Frank Warmerdam
 +
@@ -21,10 +21,10 @@
 + LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 + FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 + DEALINGS IN THE SOFTWARE.
-diff -ruN gdal-1.3.1/apps/GNUmakefile gdal-1.3.1-new/apps/GNUmakefile
---- gdal-1.3.1/apps/GNUmakefile        2005-05-12 16:10:00.000000000 +0900
-+++ gdal-1.3.1-new/apps/GNUmakefile    2005-10-10 14:07:16.000000000 +0900
-@@ -67,7 +67,7 @@
+diff --new-file -u -r gdal-1.4.0.orig/apps/GNUmakefile 
gdal-1.4.0/apps/GNUmakefile
+--- gdal-1.4.0.orig/apps/GNUmakefile   2006-11-03 22:02:15.000000000 -0500
++++ gdal-1.4.0/apps/GNUmakefile        2007-01-12 10:55:42.000000000 -0500
+@@ -73,7 +73,7 @@
        echo 'CONFIG_LIBS="$(CONFIG_LIBS)"' >> gdal-config
        echo 'CONFIG_DEP_LIBS="$(LIBS)"' >> gdal-config
        echo 'CONFIG_PREFIX="$(GDAL_ROOT)"' >> gdal-config
@@ -33,7 +33,7 @@
        echo 'CONFIG_VERSION="'`cat ../VERSION`'"' >> gdal-config
        echo 'CONFIG_OGR_ENABLED=$(OGR_ENABLED)' >> gdal-config
        echo 'CONFIG_FORMATS="$(GDAL_FORMATS)"' >> gdal-config
-@@ -80,7 +80,7 @@
+@@ -86,7 +86,7 @@
        echo 'CONFIG_LIBS="$(CONFIG_LIBS_INS)"' >> gdal-config-inst
        echo 'CONFIG_DEP_LIBS="$(LIBS)"' >> gdal-config-inst
        echo 'CONFIG_PREFIX="$(INST_PREFIX)"' >> gdal-config-inst
@@ -42,10 +42,10 @@
        echo 'CONFIG_VERSION="'`cat ../VERSION`'"' >> gdal-config-inst
        echo 'CONFIG_OGR_ENABLED=$(OGR_ENABLED)' >> gdal-config-inst
        echo 'CONFIG_FORMATS="$(GDAL_FORMATS)"' >> gdal-config-inst
-diff -ruN gdal-1.3.1/frmts/ogdi/GNUmakefile 
gdal-1.3.1-new/frmts/ogdi/GNUmakefile
---- gdal-1.3.1/frmts/ogdi/GNUmakefile  2003-12-16 20:18:56.000000000 +0900
-+++ gdal-1.3.1-new/frmts/ogdi/GNUmakefile      2005-10-10 14:08:49.000000000 
+0900
-@@ -4,7 +4,7 @@
+diff --new-file -u -r gdal-1.4.0.orig/frmts/ogdi/GNUmakefile 
gdal-1.4.0/frmts/ogdi/GNUmakefile
+--- gdal-1.4.0.orig/frmts/ogdi/GNUmakefile     2006-03-24 11:51:57.000000000 
-0500
++++ gdal-1.4.0/frmts/ogdi/GNUmakefile  2007-01-12 10:55:42.000000000 -0500
+@@ -3,7 +3,7 @@
  
  OBJ   =       ogdidataset.o
  

Index: gdal.info
===================================================================
RCS file: /cvsroot/fink/experimental/babayoshihiko/finkinfo/gdal.info,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -d -r1.14 -r1.15
--- gdal.info   24 Jan 2007 03:12:28 -0000      1.14
+++ gdal.info   27 Sep 2010 10:35:19 -0000      1.15
@@ -1,11 +1,12 @@
-Info2: <<
-Package: gdal
-Version: 1.3.2
-Revision: 1001
+Info3: <<
+Package: gdal%type_pkg[pgsql]%type_pkg[mysql]
+Type: pgsql (. -pgsql), mysql (. -mysql)
+Version: 1.7.2
+Revision: 3.1
 Description: Raster/Vector Geospatial Format Translator
 License: BSD
 Homepage: http://www.gdal.org
-Maintainer: BABA Yoshihiko <babayoshih...@mac.com>
+Maintainer: Kurt Schwehr <goat...@users.sourceforge.net>
 DescDetail: <<
 GDAL is a translator library for raster geospatial data formats. As a library,
 it presents a single abstract data model to the calling application for all
@@ -35,141 +36,124 @@
 
 # Dependencies.
 Depends: <<
-       %n-shlibs (= %v-%r), 
-       postgresql81
+       %n-shlibs (= %v-%r)
 <<
-Suggests: gdal-python-py23, gdal-grass
-
+Suggests: gdal-py26, gdal-grass
+Conflicts: gdal, gdal-pgsql, gdal-mysql, gdal-pgsql-mysql
+Replaces: gdal, gdal-pgsql, gdal-mysql, gdal-pgsql-mysql
 BuildDepends: <<
-       libjpeg, 
-       giflib | libungif,
-       lesstiff | libtiff,
-       libpng3,
+       libjpeg8, libjasper.1, giflib | libungif, libpng14, libtiff,
+       szip, libiconv-dev, cfitsio, 
        netcdf, netcdf-bin,
        unixodbc2 | unixodbc2-nox,
-       libiconv-dev, cfitsio, 
+       libdap9,
+       proj,
        libogdi3,
        hdf5, 
-       xerces-c-dev, 
-       sqlite3-dev, 
-       libgeos2,
-       postgresql81-dev,
-    proj, szip
+       libgeos3.2.2 (>= 3.2.2-1),
+        sqlite3-dev,
+        libspatialite1 (>= 2.3.1-4),
+       (%type_raw[mysql] = -mysql) mysql-unified-dev,
+       (%type_raw[pgsql] = -pgsql) postgresql84-dev,
 <<
+BuildConflicts: hdf
+#      python26 - Why was python in here?
+# xerces-c is broken for x86_64
+#      xerces-c-dev, 
 
-Conflicts: gdal, gdal-nopgsql, gdal-dev (<< %v-%r)
-Replaces: gdal, gdal-nopgsql, gdal-dev (<< %v-%r)
-#BuildConflicts: gdal-dev (<< %v)
 
 # Unpack Phase.
-Source: mirror:custom:gdal-%v.tar.gz
-Source-MD5: 67ed02dcea21e93f5e123bb0d322898a
-CustomMirror: <<
-  nam-US: http://www.gdal.org/dl
-  nam-US: ftp://ftp.remotesensing.org/gdal
-  nam-US: http://dl.maptools.org/gdal/dl
-<<
 
-# Patch Phase.
-PatchScript: sed 's|@PREFIX@|%p|g' <%a/gdal.patch | patch -p1
+Source: http://download.osgeo.org/gdal/gdal-%v.tar.gz
+Source-MD5: 05351f8cb61761ae579667e24a297fe6
 
-# Compile Phase.
-GCC: 3.3
+SetCPPFLAGS: -Os -I%p/include
+#SetCPPFLAGS: -Os -I%b/port -I%b/gcore -I%b/alg -I%b/ogr -I%b/ogr/ogrsf_frmts 
-I%b/ogr/ogrsf_frmts/gtiff -I%p/include
+SetLDFLAGS:
 
-SetCPPFLAGS: -Os -I%b/port -I%b/gcore -I%b/alg -I%b/ogr -I%b/ogr/ogrsf_frmts 
-I%b/ogr/ogrsf_frmts/gtiff -I%p/include
+# WARNING: Watch out for the geos dependency!
+
+ConfigureParams: --mandir='${prefix}/share/man' --with-local=%p --with-libz=%p 
--with-grass=no --with-cfitsio=%p --with-pcraster=no --with-netcdf=%p 
--with-png=%p --with-libtiff=%p --with-geotiff=internal --with-jpeg=%p 
--with-gif=%p --with-ogdi=%p --with-fme=no  --with-jasper=yes --with-ecw=no 
--with-kakadu=no --with-mrsid=no --with-bsb --with-ogr --with-xerces=yes 
--with-xerces-inc=%p/include --with-xerces-lib='-L%p/lib -lxerces-c -lpthread'  
--with-hdf5=%p --with-hdf4=no --with-odbc=%p --with-oci=no --with-dods-root=no 
--with-geos=%p/opt/libgeos3.2.2/bin/geos-config --with-static-proj4=%p  
(%type_raw[pgsql] = .) --without-pg  (%type_raw[pgsql] = -pgsql) 
--with-pg=%p/bin/pg_config (%type_raw[mysql] = .) --with-mysql=no 
(%type_raw[mysql] = -mysql) --with-mysql=yes --with-perl --without-php 
--without-ruby --without-python --libdir=%p/lib --includedir=%p/include/gdal1 
--without-perl --with-sqlite3=%p --with-spatialite=%p
+
+# --with-dods=%p
 
-ConfigureParams: --mandir='${prefix}/share/man' --with-local=%p --with-libz=%p 
--with-grass=no --with-cfitsio=%p --with-pcraster=no --with-netcdf=%p 
--with-png=%p --with-libtiff=%p --with-geotiff=internal --with-jpeg=%p 
--with-gif=%p --with-ogdi=%p --with-fme=no --without-hdf4 --with-hdf5=%p 
--with-jasper=no --with-ecw=no --with-kakadu=no --with-mrsid=no --with-bsb 
--with-ogr --with-pg=%p/bin/pg_config --with-mysql=no --with-xerces 
--with-xerces-inc=%p/include --with-xerces-lib='-L%p/lib -lxerces-c -lpthread' 
--with-odbc=%p --with-oci=no --with-dods-root=no --with-sqlite=%p 
--with-geos=%p/bin/geos-config --with-static-proj4=%p --without-perl 
--without-php --without-ruby --without-python
 
 CompileScript: <<
 #!/bin/sh -xe
-  
-  touch missing
-  ./configure %c
-  rm missing
-  
-  make OGDI_INCLUDE=''
+       ./configure %c
+        # (cd apps && perl -pi -e 's|gdaldem|gdalflattenmask\$\(EXE\) 
gdaldem|' GNUmakefile)
+       make -j 5
 <<
 
+# Why was this in the make line above?
+#PYTHON_INCLUDES=%p/include \
+#              PYTHON_LIBS='-L%p/lib/python2.6' \
+#              PYTHON=%p/bin/python2.6
+
 # Install Phase.
 InstallScript: <<
-  make install prefix=%i INST_INCLUDE=%i/include/gdal1
+  make install prefix=%i INST_LIB=%i/lib INST_INCLUDE=%i/include/gdal1
+  make install-man prefix=%i
+  install_name_tool -id "%p/lib/libgdal.1.dylib" %i/lib/libgdal.1.dylib
+
+  # The license file will be brought to %i/share/doc/%n by DocFiles
+  rm -f %i/share/gdal/LICENSE.TXT
 <<
+DocFiles: LICENSE.TXT
+
 
-DocFiles: LICENSE NEWS
 SplitOff: <<
   Package: %N-shlibs
   Description: GDAL/OGR shared libraries
-  Replaces: %N (<< %v-%r), gdal-shlibs, gdal-nopgsql-shlibs
-  Conflicts: %N (<< %v-%r), gdal-shlibs, gdal-nopgsql-shlibs
+  Conflicts: gdal-shlibs, gdal-pgsql-shlibs, gdal-mysql-shlibs, 
gdal-pgsql-mysql-shlibs
+  Replaces: gdal-shlibs, gdal-pgsql-shlibs, gdal-mysql-shlibs, 
gdal-pgsql-mysql-shlibs
   Depends: << 
-    giflib-shlibs | libungif-shlibs, libjpeg-shlibs, libpng3-shlibs, 
libtiff-shlibs (>= 3.6.0), netcdf-shlibs, 
-    proj-shlibs, libgeos2-shlibs, 
+    libjpeg8-shlibs, libjasper.1-shlibs, giflib-shlibs | libungif-shlibs, 
libpng14-shlibs, libtiff-shlibs (>= 3.6.0), 
+    szip-shlibs, libiconv,
+    netcdf-shlibs, 
+    hdf5-shlibs, 
     unixodbc2-shlibs | unixodbc2-nox-shlibs, 
-    postgresql80-shlibs (>=8.0.2-12) | postgresql80-ssl-shlibs (>=8.0.2-12),
-    szip-shlibs, libiconv, xerces-c-shlibs, hdf5-shlibs, 
-    libogdi3-shlibs, sqlite3-shlibs
+    libdap9-shlibs,
+    proj-shlibs, 
+    libogdi3-shlibs,
+    libgeos3.2.2-shlibs (= 3.2.2-1),
+    sqlite3-shlibs,
+    libspatialite1-shlibs (>= 2.3.1-4),
+    (%type_raw[mysql] = -mysql) mysql-unified,
+    (%type_raw[mysql] = -mysql) mysql-unified-shlibs,
+    (%type_raw[pgsql] = -pgsql) postgis84,
+    (%type_raw[pgsql] = -pgsql) postgresql84-shlibs,
   <<
   Files: lib/libgdal.*.dylib
-  Shlibs: %p/lib/libgdal.1.dylib 11.0.0 %n (>= 1.2.6-2)
-  DocFiles: LICENSE NEWS
+  Shlibs: %p/lib/libgdal.1.dylib 16.0.0 %n (>= 1.7.0-1)
+  DocFiles: LICENSE.TXT
 <<
+
+# Unnecessary, right?
+#     python26-shlibs
+
+
 SplitOff2: <<
   Package: %N-dev
   Description: GDAL/OGR development headers
-  Replaces: %N (<< %v-%r), gdal-dev, gdal-nopgsql-dev
-  Conflicts: %N (<< %v-%r), gdal-dev, gdal-nopgsql-dev
+  Conflicts: gdal-dev, gdal-pgsql-dev, gdal-mysql-dev, gdal-pgsql-mysql-dev
+  Replaces: gdal-dev, gdal-pgsql-dev, gdal-mysql-dev, gdal-pgsql-mysql-dev
   Depends: %N-shlibs (= %v-%r)
   BuildDependsOnly: true
-  Files: bin/gdal-config include/gdal1 lib/*.a lib/*.la lib/libgdal.dylib 
share/man/man1/gdal-config.1
-  DocFiles: LICENSE NEWS
+  Files: bin/gdal-config include/gdal1 lib/*.a lib/*.la lib/libgdal.dylib 
+  DocFiles: LICENSE.TXT
 <<
 
-DescPackaging: <<
-Patch file does the following:
-  1. add LICENSE.
-  2. install header files in %p/include/gdal1.
-  3. change the order of include directories not to read header files of 
-     older GDAL package.
 
+DescPackaging: <<
 Previous versions of this package were maintained by Matt Stephenson
-<catt...@users.sourceforge.net> and Blair Zajac <bl...@orcaware.com>.
+<catt...@users.sourceforge.net>, Blair Zajac <bl...@orcaware.com>
+and BABA Yoshihiko <babayoshih...@mac.com>.
+See http://wiki.finkproject.org/index.php?title=Fink:Packaging:GIS
 <<
 
 DescPort: <<
-1.3 conflicts with the gdal headers of older versions. gdal.patch solves
-this problem by changing the include orders. For future versions, gdal13
-headers will be in %p/include/gdal13 and so on.
-1.3 adds HDF-5 support.
-
-1.2.6-5 fixes gdal-config and adds Xerces and SQLite supports.
-1.2.6-4 for Python support (see gdal-python-py23)
---with-geos is enabled since 1.2.6-1.
-
-The large number of gdal include files are moved into %p/include
-subdirectory and gdal-config has been patched to have the correct
-include file path.
-
-Uses -Os, otherwise it compiles with no optimization.
-
-Uses --with-local=%p in ConfigureParams to have -I%p/include and
--L%p/lib be used in compiling this package.  But even with this set,
-not all files are compiled with -I%p/include and so this is put in
-SetCFLAGS and SetCXXFLAGS.
-
-Uses --with-static-proj4=%p in ConfigureParams, but libproj still ends
-up linking dynamically.
-
-Uses --with-hdf4=no in ConfigureParams to avoid a compile error in
-EHapi.c.
-
-Franks Warmerdam says using the "internal" settings should not be
-necessary, as the libs are tested to see if they are compatible.
-
-TODO:
-
-There are lots of other formats/libs that could be enabled, but have
-not yet been tried.
 <<
 
-# End of Info2
+# End of Info3
 <<


------------------------------------------------------------------------------
Start uncovering the many advantages of virtual appliances
and start using them to simplify application deployment and
accelerate your shift to cloud computing.
http://p.sf.net/sfu/novell-sfdev2dev
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
http://news.gmane.org/gmane.os.apple.fink.cvs

Reply via email to